# align
align provides implementations of global and local alignment algorithms. 
This library was created as it seemed that the Ruby landscape seemed to lack 
implementations of the [Needleman-Wunsch](http://en.wikipedia.org/wiki/Needleman%E2%80%93Wunsch_algorithm) 
and [Smith–Waterman](http://en.wikipedia.org/wiki/Smith-Waterman_algorithm) 
algorithms. These algorithms are most often associated with the field of 
[Bioinformatics](http://en.wikipedia.org/wiki/Bioinformatics), and allow for 
an efficient mechanisms for aligning protein and nucleotide sequences.

The goal of this library is to provide implementations of algorithms
in a way that they might be used to align anything from simple strings to 
complicated objects. As time goes on, I'll be sure to make an effort to provide
examples of how this may be done.

## Contributing to align
 
* Check out the latest master to make sure the feature hasn't been implemented or the bug hasn't been fixed yet
* Check out the issue tracker to make sure someone already hasn't requested it and/or contributed it
* Fork the project
* Start a feature/bugfix branch
* Commit and push until you are happy with your contribution
* Make sure to add tests for it. This is important so I don't break it in a future version unintentionally.
* Please try not to mess with the Rakefile, version, or history. If you want to have your own version, or is otherwise necessary, that is fine, but please isolate to its own commit so I can cherry-pick around it.

## Copyright

Copyright (c) 2011 Michael Ryan. See LICENSE.txt for further details.

